Subject: Ticket Assigned - Order 9590800488
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Wed, 19 Oct 2022 07:30:44 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9590800488 Good morning

I placed an order yesterday and when I was making the online order it stated “order within 12 hours for same day delivery” which I did, I received my confirmation email and it stated that the item would be delivered by 18th October I.e yesterday.

I called the helpline and then told me to wait as deliveries can be delivered by 10pm and that if I hadn’t received it by 10 to call back. I called back at 1040pm and another person told me that it hadn’t even left the warehouse yet and therefore didn’t know when it would be delivered.

I have just called again now and they have told me that my order it still in the warehouse and they don’t know when it will be delivered to me. 

The service I am receiving is shockingly bad. I don’t expect an item that is clearly stating to be delivered by 18th to not arrive on the correct day and that when I call the day after to still be told “we are unsure when you will get your item”. 

I only purchased on your website on the basis that it was same day delivery - I am travelling this evening and if the order doesn’t reach me today then I will not be here to collect it, and therefore the order was pointless.

I expect this to be rectified and my order with me today.

I have a large social media following and will share my feedback on both Instagram and Twitter if I do not hear from you swiftly.

Very poor service and I absolutely would not order from you again. 

Regards,
Rebekah 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5020530